<template>
  <div class="edit-add-detail">
    <div class="crumbs">
      <Breadcrumb
        :breadcrumbOpt="breadcrumbOpt"
        svg-name="#icon-utilize"
        @breadcrumb-click="handleClose"
      />
    </div>
    <div class="form-content">
      <div class="company-information">
        <el-form
          ref="formInfo"
          :model="parameter"
          label-position="right"
          label-width="auto"
        >
          <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">最低价评标法信息</div>
            </div>
          </div>
          <el-row :gutter="24">
            <el-col :span="12">
              <el-form-item label="名称">
                <el-input
                  readonly
                  clearable
                  v-model="parameter.name"
                ></el-input>
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item label="编制单位">
                <el-input
                  readonly
                  clearable
                  v-model="parameter.preparedOrgId"
                ></el-input>
              </el-form-item>
            </el-col>
            
          </el-row>
          <el-row :gutter="24">
            <el-col :span="12">
              <el-form-item label="使用单位">
                <el-input
                  readonly
                  clearable
                  v-model="parameter.useOrgList"
                ></el-input>
              </el-form-item>
            </el-col>
            <el-col :span="12">
              <el-form-item label="评标方式">
                <el-input
                  readonly
                  clearable
                  v-model="parameter.evaluatingMethods"
                ></el-input>
              </el-form-item>
            </el-col>
          </el-row>
          <!-- <el-row :gutter="24">
            <el-col :span="24">
              <el-form-item label="评标说明">
                <el-input
                  type="textarea"
                  readonly
                  clearable
                  v-model="parameter.description"
                ></el-input>
              </el-form-item>
            </el-col>
          </el-row> -->
          <el-row :gutter="24">
            <el-col :span="24">
              <el-form-item label="备注">
                <el-input
                  type="textarea"
                  readonly
                  clearable
                  v-model="parameter.remarks"
                ></el-input>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
      </div>
      <!-- <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">评分表</div>
            </div>
          </div>
          <el-table
            border
            stripe
            fit
            :data="parameter.descriptionList"
            :span-method="objectSpanMethod"
            style="width: 100%"
          >
            <el-table-column
              v-for="item in tableColumn"
              :key="item.prop"
              :prop="item.prop"
              :label="item.label"
              align="center"
              :min-width="item.width"
            />
          </el-table> -->
    </div>
    <div slot="footer" class="footer">
      <el-button @click="handleClose">{{ $t('domestic.cancel') }}</el-button>
    </div>
  </div>
</template>

<script>
import Breadcrumb from '@/components/Breadcrumb/index.vue'
import basicData from '@/api/basicData'
export default {
  name: 'domesticDialog',
  components: {Breadcrumb},
  data() {
    return {
      breadcrumbOpt: [
        {breadcrumbName: '最低价评标法'},
        {breadcrumbName: '详情'}
      ],
      parameter: {}
    }
  },
  created() {
    this.parameter = this.$route.query.detailRows
    this.detail(this.parameter.id)
  },
  mounted() {},
  methods: {
    // 关闭//面包屑点击
    handleClose() {
      this.$router.push({
        name: 'evaluationSystem',
        params: {
          tabsActiveName: 'lowestMethod',
          pageBean: this.$route.query.pageBean
        }
      })
      this.parameter = {}
    },
    //详情
    detail(val) {
      basicData.bizEvaluationSystemId(val).then(res => {
        this.parameter = res.value
        this.parameter.useOrgList = res.value.orgs
          .map(item => {
            return item.name
          })
          .join(',')
        this.parameter.evaluatingMethods = '最低价评标法'
      })
    }
  }
}
</script>
<style lang="scss" scoped>
::v-deep .el-form-item__label {
  width: 120px;
  font-size: 14px;
  color: #828282;
  font-weight: 500;
}

::v-deep .el-form-item__content span {
  font-size: 14px;
  color: #000;
  font-weight: 500;
}

::v-deep .el-form-item {
  margin-bottom: 10px;
}
.rows {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #ebebeb;
  margin-bottom: 16px;
  padding: 10px 0;

  .rows-left {
    margin-right: 10px;

    .rows-hr {
      width: 3px;
      height: 18px;
      background-color: #0e6eff;
      border-radius: 2px;
    }
  }

  .rows-title {
    .text-overflow {
      width: 100%;
      font-size: 16px;
    }
  }
}
</style>
